com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedOldFormHandler

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<FormHandler>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedOldFormHandler

All Implemented Interfaces:
  EventHandler, FormPanel.SubmitCompleteHandler, FormPanel.SubmitHandler

Enclosing class:
  ListenerWrapper<T>

    static class ListenerWrapper.WrappedOldFormHandler
    extends ListenerWrapper<FormHandler>
    implements FormPanel.SubmitHandler, FormPanel.SubmitCompleteHandler

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `add(FormPanel source, FormHandler listener)`
`void` `onSubmit(FormPanel.SubmitEvent event)` Fired when the form is submitted.
`void` `onSubmitComplete(FormPanel.SubmitCompleteEvent event)` Fired when a form has been submitted successfully.
`static void` `remove(Widget eventSource, FormHandler listener)`

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    public static void add(FormPanel source,
                           FormHandler listener)

#### remove

    public static void remove(Widget eventSource,
                              FormHandler listener)

#### onSubmit

    public void onSubmit(FormPanel.SubmitEvent event)

Description copied from interface: `FormPanel.SubmitHandler`
Fired when the form is submitted.

The FormPanel must not be detached (i.e. removed from its parent or otherwise disconnected from a `RootPanel`) until the submission is complete. Otherwise, notification of submission will fail.

Specified by:
  `onSubmit` in interface `FormPanel.SubmitHandler`
Parameters:
  `event` - the event

#### onSubmitComplete

    public void onSubmitComplete(FormPanel.SubmitCompleteEvent event)

Description copied from interface: `FormPanel.SubmitCompleteHandler`
Fired when a form has been submitted successfully.

Specified by:
  `onSubmitComplete` in interface `FormPanel.SubmitCompleteHandler`
Parameters:
  `event` - the event